<?php

namespace App\Controller;
use App\Model\TeamModel;

class TeamController /* verif si les camp sont assignés, sinon erreur 400*/
{
    private TeamModel $model;
    private Environment $twig;

    /**
     * @param TeamModel $model
     * @param Environment $twig
     */
    public function __construct(TeamModel $model, Environment $twig)
    {
        $this->model = $model;
        $this->twig = $twig;
    }

    public function submitTeam(array $request){
        $errors = [];
        if(isset($request['name']) && isset($request["picture"]) && isset($request["mainColor"]) && isset($request["secondColor"])){
            $errors = $this->model->createTeam($request['name'],$request['picture'],$request['mainColor'],$request["secondColor"]);
            /*todo gestion des erreurs grace au tableau*/
        }
        else{
            http_response_code(400);
            /*todo rappeler vue avec parametre pour signaler les pb */
        }
    }

}


